# JetPack.jl

| **Documentation** | **Action Statuses** |
|:---:|:---:|
| [![][docs-dev-img]][docs-dev-url] [![][docs-stable-img]][docs-stable-url] | [![][doc-build-status-img]][doc-build-status-url] [![][build-status-img]][build-status-url] [![][code-coverage-img]][code-coverage-results] |

A set of nonlinear and linear operators for [Jets.jl](https://github.com/ChevronETC/Jets.jl).

These operators include the following functionality:
* Padding and truncation operators 
* Derivative, integration, and roughness operators
* Multi-dimensional transpose, permutation, reshape, and restriction operators
* Blending and projection operators
* Operators implementing transcendental functions like logarithm and exponentiation, with linearization
* Special functions as used in some full waveform inversion approaches, including *Normalized Integral Method* and linear non-analytic operators including taking real and imaginary parts

[docs-dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[docs-dev-url]: https://chevronetc.github.io/JetPack.jl/dev/

[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://ChevronETC.github.io/JetPack.jl/stable

[doc-build-status-img]: https://github.com/ChevronETC/JetPack.jl/workflows/Documentation/badge.svg
[doc-build-status-url]: https://github.com/ChevronETC/JetPack.jl/actions?query=workflow%3ADocumentation

[build-status-img]: https://github.com/ChevronETC/JetPack.jl/workflows/Tests/badge.svg
[build-status-url]: https://github.com/ChevronETC/JetPack.jl/actions?query=workflow%3A"Tests"

[code-coverage-img]: https://codecov.io/gh/ChevronETC/JetPack.jl/branch/master/graph/badge.svg
[code-coverage-results]: https://codecov.io/gh/ChevronETC/JetPack.jl
